org.apache.bcel.verifier

## Class VerifierFactory

- java.lang.Object
- - org.apache.bcel.verifier.VerifierFactory

-     public class VerifierFactory
      extends Object

  This class produces instances of the Verifier class. Its purpose is to make sure that they are singleton instances with respect to the class name they operate on. That means, for every class (represented by a unique fully qualified class name) there is exactly one Verifier.
  Version:
    $Id: VerifierFactory.java 1749603 2016-06-21 20:50:19Z ggregory $
  See Also:
    `Verifier`

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `attach(VerifierFactoryObserver o)` Adds the VerifierFactoryObserver o to the list of observers.
    `static void` | `detach(VerifierFactoryObserver o)` Removes the VerifierFactoryObserver o from the list of observers.
    `static Verifier` | `getVerifier(String fully_qualified_classname)` Returns the (only) verifier responsible for the class with the given name.
    `static Verifier[]` | `getVerifiers()` Returns all Verifier instances created so far.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getVerifier

          public static Verifier getVerifier(String fully_qualified_classname)

      Returns the (only) verifier responsible for the class with the given name. Possibly a new Verifier object is transparently created.
      Returns:
        the (only) verifier responsible for the class with the given name.

    - #### getVerifiers

          public static Verifier[] getVerifiers()

      Returns all Verifier instances created so far. This is useful when a Verifier recursively lets the VerifierFactory create other Verifier instances and if you want to verify the transitive hull of referenced class files.

    - #### attach

          public static void attach(VerifierFactoryObserver o)

      Adds the VerifierFactoryObserver o to the list of observers.

    - #### detach

          public static void detach(VerifierFactoryObserver o)

      Removes the VerifierFactoryObserver o from the list of observers.

Copyright © 2004–2019 The Apache Software Foundation. All rights reserved.